curl --request GET \
--url https://cosmos-rest.publicnode.com/cosmos/bank/v1beta1/denom_owners_by_queryimport requests
url = "https://cosmos-rest.publicnode.com/cosmos/bank/v1beta1/denom_owners_by_query"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://cosmos-rest.publicnode.com/cosmos/bank/v1beta1/denom_owners_by_query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"denom_owners": [
{
"address": "<string>",
"balance": {
"denom": "<string>",
"amount": "<string>"
}
}
],
"pagination": {
"next_key": "aSDinaTvuI8gbWludGxpZnk=",
"total": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}DenomOwnersByQuery
gRPC: cosmos.bank.v1beta1.Query/DenomOwnersByQuery (reference)
DenomOwnersByQuery queries for all account addresses that own a particular token denomination.
Query Parameters
denom defines the coin denomination to query all account holders for.
key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.
offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.
limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.
count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.
reverse is set to true if results are to be returned in the descending order.
Was this page helpful?